#include "communications.h"
#include "common.h"
#include "user_interface.h"
#include "uart.h"

static char rx_buffer_uart[MESSAGE_DIMENSION];
static char tx_buffer_uart[MESSAGE_DIMENSION];

void processIncomingPacket(void);

void initializeCommunications(void)
{
    initializeUART();
    setUartCallbackFunction(processIncomingPacket);
}

void sendPacket(void)
{
    tx_buffer_uart[0] = 'T';
    tx_buffer_uart[1] = '=';
    tx_buffer_uart[2] = '\r';

    uartTransmit(&tx_buffer_uart[0]);
}

void processIncomingPacket(void)
{
    turnOnDebugLED();
}




