#include "body_temperature.h"
#include "adc.h"

void updateTemperatureReading(void);

volatile static int  body_temperature;

void initializeBodyTemperature(void)
{
    initializeADC();
    setTempCallbackFunction(updateTemperatureReading);
}

int getLastTemperatureReading(void)
{
    return body_temperature;
}

void updateTemperatureReading(void)
{
    body_temperature = getTemperatureReading();
}
